# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.1.3+4] - 2019-12-02

### Changed
* NormalCard - Accepts content Padding

## [0.1.3+3] - 2019-12-01

### Changed
* Downgrade back to path_provider `1.4.4` as `1.4.5` is incompatible with our Projects

## [0.1.3+2] - 2019-12-01

### Changed
* Packed DrawerNavigationItem and UserDrawer into `nektor.widgets.drawer`

## [0.1.3+1] - 2019-12-01

### Changed
* JsonStorage - Replace `{}` with `;` on empty Constructor
* Update path_provider to `1.4.5`

### Removed
* DrawerNavigationItem - Removed `library` declaration

## [0.1.3] - 2019-12-01

### Added
* JsonStorage - Implements a JSON File Handler for easy Storage

## [0.1.2+2] - 2019-12-01

### Added
* NormalCard - Accepts a mainAxisSize

## [0.1.2+1] - 2019-12-01

### Added
* NormalCard - Accepts a trailing widget

## [0.1.2] - 2019-12-01

### Added
* NormalCard - Widget that wraps a ListTitle inside a Card

## [0.1.1] - 2019-12-01

### Added
* TitleContainer - Widget that wraps a Text in a Container

## [0.1.0] - 2019-12-01

### Added
* TextInputContainer - Widget that places a TextFarmField into a container
* UserDrawer - Widget that wraps a UserAccountsDrawerHeader
* DrawerNavigationItem - Widget that wraps a MaterialPageRoute inside a ListTitle