import 'package:flutter/material.dart';

/// UserDrawer - Wraps a UserAccountDrawerHeader
class UserDrawer extends StatelessWidget {
  UserDrawer({this.name, this.email, this.accountPicture, this.otherPictures});

  final String name;
  final String email;
  final Widget accountPicture;
  final List<Widget> otherPictures;

  @override
  Widget build(BuildContext context) {
    return UserAccountsDrawerHeader(
      accountName: Text(this.name),
      accountEmail: Text(this.email),
      currentAccountPicture: accountPicture,
      otherAccountsPictures: otherPictures,
    );
  }
}
