library nektor.wigets.text;

import 'package:flutter/material.dart';

/// TitleContainer - Wraps a Text in a Container
class TitleContainer extends StatelessWidget {
  TitleContainer(
      {this.title,
      // ignore: non_constant_default_value
      this.padding = EdgeInsets.only(top: 35, bottom: 35),
      this.fontWeight = FontWeight.bold,
      this.fontSize = 30});

  final String title;
  final EdgeInsetsGeometry padding;
  final FontWeight fontWeight;
  final double fontSize;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      child: Text(
        title,
        style: TextStyle(fontWeight: fontWeight, fontSize: fontSize),
      ),
    );
  }
}
